Package org.apache.catalina.ant

# Class JMXQueryTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.AbstractCatalinaTask
org.apache.catalina.ant.JMXQueryTask

All Implemented Interfaces:
  `Cloneable`

public class JMXQueryTask extends AbstractCatalinaTask
Ant task that implements the JMX Query command (`/jmxproxy/?qry`) supported by the Tomcat manager application.

Author:
  Vivek Chopra

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `query`
  The JMX query string

  ### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

  `charset, ignoreResponseConstraint, password, url, username`

  ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

  `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMXQueryTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Execute the requested operation.
  `String`
  `getQuery()`
  Get method for the JMX query string
  `void`
  `setQuery(String query)`
  Set method for the JMX query string.

  ### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

  `execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

  ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

  `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### query

    protected String query
    The JMX query string
    See Also:
      - `setQuery(String)`

- ## Constructor Details

  - ### JMXQueryTask

    public JMXQueryTask()

- ## Method Details

  - ### getQuery

    public String getQuery()
    Get method for the JMX query string
    Returns:
      Query string

  - ### setQuery

    public void setQuery(String query)
    Set method for the JMX query string.

    Examples of query format:

    - *:*
    - *:type=RequestProcessor,*
    - *:j2eeType=Servlet,*
    - Catalina:type=Environment,resourcetype=Global,name=simpleValue
    Parameters:
      `query` - JMX Query string

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Execute the requested operation.
    Overrides:
      `execute` in class `AbstractCatalinaTask`
    Throws:
      `org.apache.tools.ant.BuildException` - if an error occurs